unit WorkUnit;

interface

uses
  SysUtils, Dialogs, ApiType;

type
  TWorkModule = class
  private
    StartTime : TDateTime;
  public
    constructor Create;
    destructor Destroy; override;
    procedure ShowTime(Sender: TObject);
  end;

var
  WorkModule : TWorkModule;
  IPlugin  : TPluginInterface; //  API-

implementation


constructor TWorkModule.Create;
begin
  StartTime := Now;
end;

destructor TWorkModule.Destroy;
begin
  inherited;
end;


procedure TWorkModule.ShowTime(Sender: TObject);
var
  r1, r2, rh, rm : Double;
  h1, m1, s1, ms1 : Word;
  h2, m2, s2, ms2 : Word;
begin
  DecodeTime(StartTime, h1, m1, s1, ms1);
  DecodeTime(Now, h2, m2, s2, ms2);
  r1 := h1 + m1/60 + s1/3600;
  r2 := h2 + m2/60 + s2/3600;
  rh := Int(r2-r1);
  rm := Round(Frac(r2-r1) * 60);
  if (rh = 0) and (rm = 0) then
  begin
    ShowMessage('     ' + FloatToStr(rh) +'  '+ FloatToStr(rm) +' .'+
    #10#13+ '    .  .');
  end else
  begin
    ShowMessage('     ' + FloatToStr(rh) +'  '+ FloatToStr(rm) +' !'+
    #10#13+ '      ?');
  end;
end;

end.
